Bug 808939 - [abrt] pitivi-0.15.0-1.fc16: timeline.py:522:setSelection:AttributeError: 'NoneType' object has no attribute 'selected'
[abrt] pitivi-0.15.0-1.fc16: timeline.py:522:setSelection:AttributeError: 'No...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:95c396022427a5649aa7c1d522f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 17:43 EDT by Aria Amini
Modified: 2013-02-13 20:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:53:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aria Amini 2012-04-01 17:43:18 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/bin/pitivi
executable:     /usr/bin/pitivi
kernel:         3.2.5-3.fc16.x86_64
reason:         timeline.py:522:setSelection:AttributeError: 'NoneType' object has no attribute 'selected'
time:           sø. 01. april 2012 kl. 23.19 +0200
uid:            500

backtrace:
:timeline.py:522:setSelection:AttributeError: 'NoneType' object has no attribute 'selected'
:
:Traceback (most recent call last):
:  File "/usr/share/pitivi/python/pitivi/ui/controller.py", line 128, in motion_notify_event
:    self._drag_start(*pending_drag_start)
:  File "/usr/share/pitivi/python/pitivi/ui/controller.py", line 179, in _drag_start
:    self.drag_start(item, target, event)
:  File "/usr/share/pitivi/python/pitivi/ui/trackobject.py", line 214, in drag_start
:    TimelineController.drag_start(self, item, target, event)
:  File "/usr/share/pitivi/python/pitivi/ui/trackobject.py", line 112, in drag_start
:    self._view.timeline.selection.setToObj(self._view.element, SELECT)
:  File "/usr/share/pitivi/python/pitivi/timeline/timeline.py", line 476, in setToObj
:    self.setSelection(set([obj]), mode)
:  File "/usr/share/pitivi/python/pitivi/timeline/timeline.py", line 522, in setSelection
:    obj.selected = True
:AttributeError: 'NoneType' object has no attribute 'selected'
:
:Local variables in innermost frame:
:objs: set([<pitivi.timeline.track.SourceTrackObject object at 0x35e6950>])
:selection: set([None])
:obj: None
:old_selection: set([])
:self: <pitivi.timeline.timeline.Selection object at 0x30c15d0>
:mode: 0

comment:
:The program becomes almost entirely unresponsive a few seconds after I open it. I have a long video I want to trim down. After fiddling with it for many many minutes, I was able to trim down the video, but not the audio. One bit of the audio I successfully deleted, but the rest remains. I highly doubt this is a case of me not understanding how to use the program, and think it's simply not working right. 
:
:Every time I close it, and reopen it, I can make certain kinds of edits for a few seconds, and then that ability goes away, and Gnome tells me something crashed. Other types of edits never work. 

smolt_data:
:
:
:General
:=================================
:UUID: 9bbe45c9-2c8b-4bc5-875e-21f3621220ff
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 4510.18
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P7550  @ 2.26GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2261
:System Memory: 1727
:System Swap: 3487
:Vendor: Apple Inc.
:System: MacBookPro5,5 1.0
:Form factor: Notebook
:Kernel: 3.2.5-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:2727:4318:52089) pci, ohci_hcd, USB, MCP79 OHCI USB 1.1 Controller
:(4318:2729:4318:52089) pci, ehci_hcd, USB, MCP79 EHCI USB 2.0 Controller
:(4318:2720:4318:0) pci, None, PCI/PCI, MCP79 PCI Express Bridge
:(4318:2736:4318:52089) pci, forcedeth, ETHERNET, MCP79 Ethernet
:(4318:2690:0:0) pci, None, HOST/PCI, MCP79 Host Bridge
:(4318:2696:0:0) pci, None, RAM, MCP79 Memory Controller
:(4545:22785:4545:22784) pci, firewire_ohci, FIREWIRE, FW643 PCI Express1394b Controller (PHY/Link)
:(4318:2147:4203:185) pci, nvidia, VIDEO, C79 [GeForce 9400M]
:(4318:2759:4318:0) pci, pcieport, PCI/PCI, MCP79 PCI Express Bridge
:(5348:17195:4203:141) pci, wl, NETWORK, BCM4322 802.11a/b/g/n Wireless LAN Controller
:(4318:2758:4318:0) pci, pcieport, PCI/PCI, MCP79 PCI Express Bridge
:(4318:2723:4318:52089) pci, None, PROCESSOR, MCP79 Co-processor
:(4318:2712:4318:52089) pci, None, RAM, N/A
:(4318:2724:0:0) pci, None, RAM, MCP79 Memory Controller
:(4318:2734:4318:52089) pci, None, PCI/ISA, MCP79 LPC Bridge
:(4318:2697:0:0) pci, None, RAM, MCP79 Memory Controller
:(4318:2722:4318:52089) pci, nForce2_smbus, SERIAL, MCP79 SMBus
:(4318:2752:4318:52089) pci, snd_hda_intel, MULTIMEDIA, MCP79 High Definition Audio
:(4318:2731:4318:52089) pci, None, PCI/PCI, MCP79 PCI Bridge
:(4318:2725:4318:52089) pci, ohci_hcd, USB, MCP79 OHCI USB 1.1 Controller
:(4318:2726:4318:52089) pci, ehci_hcd, USB, MCP79 EHCI USB 2.0 Controller
:(4318:2741:4318:52089) pci, ahci, STORAGE, MCP79 SATA Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_aria-lv_root / ext4 4096 4096 13092026 10825765 10694734 3276800 3023885 3023885
:/dev/sda3 /boot ext4 1024 1024 508745 412946 387346 128016 127767 127767
:/dev/sda1 WITHHELD vfat 512 512 403266 371876 371876 0 0 0
:/dev/mapper/vg_aria-lv_home /home ext4 4096 4096 6069578 892854 588522 1523712 1481655 1481655
:
Comment 1 Gwyn Ciesla 2012-04-02 07:54:46 EDT
Please see if version 0.15.0-3 in updates-testing helps.
Comment 2 Fedora End Of Life 2013-01-16 18:28:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 20:53:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.